# PhasicFlow: src/phasicFlow/structuredData/domain/domain.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

domain.hpp File Reference
Include dependency graph for domain.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | domain

## Namespaces

| pFlow

## Functions

INLINE_FUNCTION_HD bool | equal (const domain &d1, const domain &d2, real tol=smallValue)
INLINE_FUNCTION_HD bool | operator== (const domain &d1, const domain &d2)
FUNCTION_H iIstream & | operator>> (iIstream &is, domain &d)
FUNCTION_H iOstream & | operator<< (iOstream &os, const domain &d)